Description

On a default Debian Wheezy (7) installation, the smart proxy logs the following warning when starting up:

W, [2015-09-02T10:44:00.718272 #11543]  WARN -- : Unable to overwrite interrupt trap: undefined me

thod `version' for nil:NilClass

 Full context with debugging enabled:

W, [2015-09-02T10:44:00.133324 #11536]  WARN -- : Couldn't find settings file /etc/foreman-proxy/s

ettings.d/foreman_proxy.yml. Using default settings.

I, [2015-09-02T10:44:00.133436 #11536]  INFO -- : 'foreman_proxy' settings were initialized with d

efault values: :enabled: true

I, [2015-09-02T10:44:00.135749 #11536]  INFO -- : Finished initialization of module 'foreman_proxy

'

I, [2015-09-02T10:44:00.136141 #11536]  INFO -- : 'facts' module is disabled.

I, [2015-09-02T10:44:00.136492 #11536]  INFO -- : 'dns_nsupdate' settings were initialized with de

fault values: :dns_key: , :dns_server: localhost, :enabled: false

I, [2015-09-02T10:44:00.145555 #11536]  INFO -- : 'dns' settings were initialized with default val

ues: :use_provider: dns_nsupdate

I, [2015-09-02T10:44:00.147968 #11536]  INFO -- : Finished initialization of module 'dns'

I, [2015-09-02T10:44:00.148408 #11536]  INFO -- : 'templates' module is disabled.

I, [2015-09-02T10:44:00.150972 #11536]  INFO -- : Finished initialization of module 'tftp'

I, [2015-09-02T10:44:00.151368 #11536]  INFO -- : 'dhcp' module is disabled.

I, [2015-09-02T10:44:00.420330 #11536]  INFO -- : Finished initialization of module 'puppetca'

I, [2015-09-02T10:44:00.421283 #11536]  INFO -- : 'puppet' settings were initialized with default 

values: :puppet_provider: puppetrun, :puppetdir: /etc/puppet, :salt_puppetrun_cmd: puppet.run, :us

e_cache: true

I, [2015-09-02T10:44:00.423631 #11536]  INFO -- : Finished initialization of module 'puppet'

I, [2015-09-02T10:44:00.424076 #11536]  INFO -- : 'bmc' module is disabled.

I, [2015-09-02T10:44:00.424610 #11536]  INFO -- : 'realm' module is disabled.

W, [2015-09-02T10:44:00.718272 #11543]  WARN -- : Unable to overwrite interrupt trap: undefined me

thod `version' for nil:NilClass

Related issues:

Related to Smart Proxy - Refactor #11323: Refactor PID writing, interrupt tra... Closed 08/11/2015

Associated revisions

Revision d00dc586 - 09/04/2015 04:31 AM - Dmitri Dolguikh 

fixes #11654: no longer rely on rubygems to determine rack version

History

#1 - 09/02/2015 06:47 AM - Dominic Cleal

- Related to Refactor #11323: Refactor PID writing, interrupt trap and daemon logging added
#2 - 09/02/2015 07:11 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/314 added

- Pull request deleted ()

#3 - 09/04/2015 05:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset d00dc5860000839c21fdae3361ed230216e15243.
